# Uses of Class
it.tdlight.jni.TdApi.BusinessInfo

## Uses of TdApi.BusinessInfo in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.BusinessInfo
Modifier and Type
Field
Description
`TdApi.BusinessInfo`
TdApi.UserFullInfo.`businessInfo`
Information about business settings for Telegram Business accounts; may be null if none.
Constructors in it.tdlight.jni with parameters of type TdApi.BusinessInfo
Modifier
Constructor
Description
``
`UserFullInfo(TdApi.ChatPhoto personalPhoto, TdApi.ChatPhoto photo, TdApi.ChatPhoto publicPhoto, TdApi.BlockList blockList, boolean canBeCalled, boolean supportsVideoCalls, boolean hasPrivateCalls, boolean hasPrivateForwards, boolean hasRestrictedVoiceAndVideoNoteMessages, boolean hasPinnedStories, boolean needPhoneNumberPrivacyException, boolean setChatBackground, TdApi.FormattedText bio, TdApi.PremiumPaymentOption[] premiumGiftOptions, int groupInCommonCount, TdApi.BusinessInfo businessInfo, TdApi.BotInfo botInfo)`
Contains full information about a user.